Bug 246229 - databases/galera: depends on to-be-removed base system objdump
Summary: databases/galera: depends on to-be-removed base system objdump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords:
Depends on:
Blocks: 212319
  Show dependency treegraph
 
Reported: 2020-05-05 15:53 UTC by Ed Maste
Modified: 2020-06-10 03:17 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2020-05-05 15:53:53 UTC
objdump is being removed from the FreeBSD base system in 13.0; databases/galera fails to build with objdump removed:

http://package22.nyi.freebsd.org/data/headamd64PR212319-default/2019-10-05_20h22m03s/logs/errors/galera-25.3.28.log

Checking dynamic symbols for 'libgalera_smm.so'...
scons: *** [libgalera_smm.so] No such file or directory
scons: building terminated because of errors.
*** Error code 1

This probably just needs a dependency on binutils.
Comment 1 Bugzilla Automation freebsd_committer 2020-05-05 15:53:53 UTC
Maintainer informed via mail
Comment 2 Ed Maste freebsd_committer 2020-05-05 17:24:19 UTC
This addresses the issue:

Index: databases/galera/Makefile
===================================================================
--- databases/galera/Makefile   (revision 534097)
+++ databases/galera/Makefile   (working copy)
@@ -27,7 +27,8 @@
 NOT_FOR_ARCHS_REASON_i386=Uses 64 bit atomics that clang cannot generate on i386
 
 BUILD_DEPENDS= checkmk:devel/check \
-               ${LOCALBASE}/include/boost/shared_ptr.hpp:devel/boost-libs
+               ${LOCALBASE}/include/boost/shared_ptr.hpp:devel/boost-libs \
+               ${LOCALBASE}/bin/objdump:devel/binutils
 LIB_DEPENDS=   libboost_date_time.so:devel/boost-libs
 
 USES=          compiler:c++11-lang python:build scons ssl

I can commit upon maintainer & port committer approval or please feel free to make the change.
Comment 3 Fernando Apesteguía freebsd_committer 2020-05-06 06:25:40 UTC
MAINTAINER address for databases/galera (devel@galeracluster.com) is not recognized by bugzilla so I'm afraid it's not clear who maintains this port.
Comment 4 commit-hook freebsd_committer 2020-05-06 16:40:10 UTC
A commit references this bug:

Author: emaste
Date: Wed May  6 16:39:12 UTC 2020
New revision: 534189
URL: https://svnweb.freebsd.org/changeset/ports/534189

Log:
  databases/galera*: add binutils dep on objdump

  /usr/bin/objdump will be removed from FreeBSD before FreeBSD 13.0.

  PR:		246229
  Approved by:	bapt

Changes:
  head/databases/galera/Makefile
  head/databases/galera26/Makefile
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-10 03:17:50 UTC
^Triage: Assign to committer that resolved